=== debian/changelog ===
gitsign (0.12.0-2) unstable; urgency=medium

  * Override unactionable lintian field-too-long on Built-Using.
  * salsa-ci.yml: Tighten autopkgtest/lintian checks.
  * Fix gitsign-credential-cache(1) name text.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 21 Jan 2025 20:44:12 +0100

gitsign (0.12.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream version 0.12.0
  * d/salsa-ci.yml: Drop local apt repos.
  * Bump d/* copyright years.
  * Drop no longer needed B-D version reqs.
  * Add manpages.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 20 Jan 2025 09:16:08 +0100

gitsign (0.11.0-1) experimental; urgency=medium

  * Initial release (Closes: #1019518)

 -- Simon Josefsson <simon@josefsson.org>  Wed, 27 Nov 2024 13:25:17 +0100
