=== debian/control ===
Source: gitsign
Section: vcs
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 git <!nocheck>,
 golang-any,
 golang-github-github-smimesign-dev,
 golang-github-go-git-go-git-dev,
 golang-github-go-openapi-runtime-dev,
 golang-github-go-openapi-strfmt-dev,
 golang-github-in-toto-in-toto-golang-dev,
 golang-github-mattn-go-tty-dev,
 golang-github-patrickmn-go-cache-dev,
 golang-github-sigstore-cosign-dev,
 golang-github-sigstore-rekor-dev,
 golang-github-sigstore-sigstore-dev,
 help2man <!nodoc>,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/gitsign
Vcs-Git: https://salsa.debian.org/go-team/packages/gitsign.git
Homepage: https://github.com/sigstore/gitsign
XS-Go-Import-Path: github.com/sigstore/gitsign

Package: gitsign
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Description: Keyless Git signing using Sigstore (program)
 Keyless Git signing with Sigstore!
 .
 This is heavily inspired by (https://github.com/github/smimesign), but
 uses keyless Sigstore to sign Git commits with your own GitHub / OIDC
 identity.
 .
 This package contains the command-line gitsign binary.

Package: golang-github-sigstore-gitsign-dev
Section: golang
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Keyless Git signing using Sigstore (library)
 Keyless Git signing with Sigstore!
 .
 This is heavily inspired by (https://github.com/github/smimesign), but
 uses keyless Sigstore to sign Git commits with your own GitHub / OIDC
 identity.
 .
 This package contains the Go development library.
