## gitsign 0.13.0

=== debian/changelog ===
gitsign (0.13.0-3) unstable; urgency=medium

  * Invoke help2man with --no-discard-stderr.  Closes: #1117400.
  * Modernize Salsa CI.
  * Drop Rules-Requires-Root: no.
  * Use watch v5.
  * Drop unused lintian override.
  * Fix paths in manpage.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 08 Oct 2025 08:40:12 +0200

gitsign (0.13.0-2) unstable; urgency=medium

  * Improve fix for slow systems.  Closes: #1106316.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 02 Jun 2025 09:00:11 +0200

gitsign (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * Standards-Version: 4.7.2.
  * Drop upstreamed patches.
  * Add B-Ds to *-dev as D's.
  * gitsign: Add Static-Built-Using, suggested by lintian.
  * d/salsa-ci: Build rdeps.
  * Fix self-tests on slow systems.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 10 Apr 2025 11:50:23 +0200

gitsign (0.12.0-4) unstable; urgency=medium

  * B-D on go-git >= 5.13.  Add patch from upstream to fix self-tests.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 14 Feb 2025 10:25:34 +0100

gitsign (0.12.0-3) unstable; urgency=medium

  * Fix build-all job.  Closes: #1093765.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 22 Jan 2025 14:43:42 +0100
