=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Simon Josefsson <simon@josefsson.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
  git <!nocheck>,
  golang-any,
  golang-github-github-smimesign-dev,
- golang-github-go-git-go-git-dev,
+ golang-github-go-git-go-git-dev (>> 5.13.1~),
  golang-github-go-openapi-runtime-dev,
  golang-github-go-openapi-strfmt-dev,
  golang-github-in-toto-in-toto-golang-dev,
@@ -22,7 +21,7 @@
  golang-github-sigstore-sigstore-dev,
  help2man <!nodoc>,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gitsign
 Vcs-Git: https://salsa.debian.org/go-team/packages/gitsign.git
 Homepage: https://github.com/sigstore/gitsign
@@ -35,6 +34,8 @@
  ${shlibs:Depends},
 Built-Using:
  ${misc:Built-Using},
+Static-Built-Using:
+ ${misc:Static-Built-Using},
 Description: Keyless Git signing using Sigstore (program)
  Keyless Git signing with Sigstore!
  .
@@ -49,6 +50,16 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ golang-github-github-smimesign-dev,
+ golang-github-go-git-go-git-dev (>> 5.13.1~),
+ golang-github-go-openapi-runtime-dev,
+ golang-github-go-openapi-strfmt-dev,
+ golang-github-in-toto-in-toto-golang-dev,
+ golang-github-mattn-go-tty-dev,
+ golang-github-patrickmn-go-cache-dev,
+ golang-github-sigstore-cosign-dev,
+ golang-github-sigstore-rekor-dev,
+ golang-github-sigstore-sigstore-dev,
  ${misc:Depends},
 Description: Keyless Git signing using Sigstore (library)
  Keyless Git signing with Sigstore!
