=== debian/watch ===
Version: 5
Template: Github
Owner: sigstore
Project: gitsign
